Bug 25907 - When cancelling a waiting hold on returns.pl, looks for new hold to fill without rescanning barcode
Summary: When cancelling a waiting hold on returns.pl, looks for new hold to fill with...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26627
  Show dependency treegraph
 
Reported: 2020-07-01 11:50 UTC by Kyle M Hall
Modified: 2020-10-07 13:01 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 25907: When cancelling a waiting hold on returns.pl, looks for new hold to fill without rescanning barcode (1.63 KB, patch)
2020-07-01 11:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25907: When cancelling a waiting hold on returns.pl, looks for new hold to fill without rescanning barcode (1.67 KB, patch)
2020-07-01 12:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25907: When cancelling a waiting hold on returns.pl, looks for new hold to fill without rescanning barcode (1.72 KB, patch)
2020-07-09 16:25 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 25907: When cancelling a waiting hold on returns.pl, looks for new hold to fill without rescanning barcode (1.78 KB, patch)
2020-07-21 14:19 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-07-01 11:50:28 UTC
Right now, after canceling a hold on the checkin screen, a librarian needs to rescan the item barcode to check and trap the next hold. This is an extra unnecessary step.
Comment 1 Kyle M Hall 2020-07-01 11:53:43 UTC
Created attachment 106451 [details] [review]
Bug 25907: When cancelling a waiting hold on returns.pl, looks for new hold to fill without rescanning barcode

Right now, after canceling a hold on the checkin screen, a librarian needs to rescan the item barcode to check and trap the next hold. This is an extra unnecessary step.

Test Plan:
1) Place two or more holds on a record
2) Check in the item
3) Confirm the hold
4) Check in the item again
5) Cancel the hold
6) Koha should now display the modal asking to confirm the next hold
   without the need to rescan the barcode!
Comment 2 Owen Leonard 2020-07-01 12:01:53 UTC
Created attachment 106453 [details] [review]
Bug 25907: When cancelling a waiting hold on returns.pl, looks for new hold to fill without rescanning barcode

Right now, after canceling a hold on the checkin screen, a librarian
needs to rescan the item barcode to check and trap the next hold. This
is an extra unnecessary step.

Test Plan:
1) Place two or more holds on a record
2) Check in the item
3) Confirm the hold
4) Check in the item again
5) Cancel the hold
6) Koha should now display the modal asking to confirm the next hold
   without the need to rescan the barcode!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Andrew Fuerste-Henry 2020-07-09 16:25:47 UTC
Created attachment 106751 [details] [review]
Bug 25907: When cancelling a waiting hold on returns.pl, looks for new hold to fill without rescanning barcode

Right now, after canceling a hold on the checkin screen, a librarian
needs to rescan the item barcode to check and trap the next hold. This
is an extra unnecessary step.

Test Plan:
1) Place two or more holds on a record
2) Check in the item
3) Confirm the hold
4) Check in the item again
5) Cancel the hold
6) Koha should now display the modal asking to confirm the next hold
   without the need to rescan the barcode!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Rebecca Coert <rcoert@arlingtonva.us>
Comment 4 Martin Renvoize 2020-07-21 14:19:49 UTC
Created attachment 107152 [details] [review]
Bug 25907: When cancelling a waiting hold on returns.pl, looks for new hold to fill without rescanning barcode

Right now, after canceling a hold on the checkin screen, a librarian
needs to rescan the item barcode to check and trap the next hold. This
is an extra unnecessary step.

Test Plan:
1) Place two or more holds on a record
2) Check in the item
3) Confirm the hold
4) Check in the item again
5) Cancel the hold
6) Koha should now display the modal asking to confirm the next hold
   without the need to rescan the barcode!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Rebecca Coert <rcoert@arlingtonva.us>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2020-07-21 14:20:40 UTC
No QA script failures, no regressions.. nice little enhancement... Passing QA
Comment 6 Jonathan Druart 2020-07-22 08:26:45 UTC
Considering this an enhancement (which could be backported easily however).
Comment 7 Jonathan Druart 2020-07-22 08:31:45 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-07-28 15:06:29 UTC
backported to 20.05.x for 20.05.03
Comment 9 Aleisha Amohia 2020-08-03 23:31:52 UTC
enhancement, not backported to 19.11.x